APITag
Update a tag
Partially updates a tag name and/or color. Only the owner can update their tags.
Authorization
bearerAuth AuthorizationBearer <token>
Authenticate with a Bearer token. Pass your API key in the Authorization header: Authorization: Bearer <your-api-key>
In: header
Path Parameters
id*string
Tag UUID
Format
uuidRequest Body
application/json
name?string
Tag display name (max 32 characters)
Length
1 <= length <= 32color?string
Tag color as hex code (e.g. "#FF5733")
Match
^#[0-9A-Fa-f]{6}$[key: string]?never
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://api.qrcodly.de/api/v1/tag/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"name": "string",
"color": "string",
"createdBy": "string",
"qrCodeCount": 0
}{
"message": "string",
"code": 0,
"fieldErrors": {
"property1": null,
"property2": null
}
}{
"message": "string",
"code": 0
}{
"message": "string",
"code": 0
}{
"message": "string",
"code": 0
}{
"message": "string",
"code": 0
}